## NMSettingGeneric

NMSettingGeneric — Describes connection properties for generic devices

## Functions

GQuark | nm_setting_generic_error_quark ()
NMSetting * | nm_setting_generic_new ()

## Types and Values

#define | NM_SETTING_GENERIC_SETTING_NAME
enum | NMSettingGenericError
#define | NM_SETTING_GENERIC_ERROR

## Object Hierarchy

        GEnum
        ╰── NMSettingGenericError
        GObject
        ╰── NMSetting
            ╰── NMSettingGeneric

## Includes

    #include <nm-setting-generic.h>

## Description

The NMSettingGeneric object is a NMSetting subclass that describes optional properties that apply to "generic" devices (ie, devices that NetworkManager does not specifically recognize).

There are currently no properties on this object; it exists only to be the "connection type" setting on NMConnections for generic devices.

## Functions

### nm_setting_generic_error_quark ()

    GQuark
    nm_setting_generic_error_quark (void);

Registers an error quark for NMSettingGeneric if necessary.

#### Returns

the error quark used for NMSettingGeneric errors.

Since: 0.9.10

### nm_setting_generic_new ()

    NMSetting *
    nm_setting_generic_new (void);

Creates a new NMSettingGeneric object with default values.

#### Returns

the new empty NMSettingGeneric object.

[transfer full]

Since: 0.9.10

## Types and Values

### NM_SETTING_GENERIC_SETTING_NAME

    #define NM_SETTING_GENERIC_SETTING_NAME "generic"

### enum NMSettingGenericError

#### Members

NM_SETTING_GENERIC_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_GENERIC_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_GENERIC_ERROR_MISSING_PROPERTY | the property was missing and is required |

Since: 0.9.10

### NM_SETTING_GENERIC_ERROR

    #define NM_SETTING_GENERIC_ERROR nm_setting_generic_error_quark ()